Pular para o conteúdo principal
GET
/
integrators
/
timeline
/
v3
/
{appId}
/
event-templates
Obter todos os modelos de evento
curl --request GET \
  --url https://api.hubapi.com/integrators/timeline/v3/{appId}/event-templates \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "name": "<string>",
      "objectType": "<string>",
      "tokens": [
        {
          "label": "<string>",
          "name": "<string>",
          "options": [
            {
              "label": "<string>",
              "value": "<string>"
            }
          ],
          "type": "date",
          "createdAt": "2023-11-07T05:31:56Z",
          "objectPropertyName": "<string>",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "detailTemplate": "<string>",
      "headerTemplate": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório

O ID do aplicativo de destino.

Resposta

successful operation

results
object[]
obrigatório
Last modified on April 13, 2026